Bug 683199 - [abrt] ufraw-0.18-1.fc14: Process /usr/bin/ufraw was killed by signal 11 (SIGSEGV)
Summary: [abrt] ufraw-0.18-1.fc14: Process /usr/bin/ufraw was killed by signal 11 (SIG...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ufraw
Version: 14
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:74d8937807d550c49ac253306db...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-08 19:59 UTC by Andre Dierker
Modified: 2011-04-05 05:18 UTC (History)
1 user (show)

Fixed In Version: ufraw-0.18-2.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-29 03:58:04 UTC


Attachments (Terms of Use)
File: backtrace (55.69 KB, text/plain)
2011-03-08 19:59 UTC, Andre Dierker
no flags Details

Description Andre Dierker 2011-03-08 19:59:24 UTC
abrt version: 1.1.17
architecture: x86_64
Attached file: backtrace, 57022 bytes
cmdline: /usr/bin/ufraw /home/fozz/bilder/digicam/2011-03-08/IMG_0309.CR2
component: ufraw
Attached file: coredump, 150118400 bytes
crash_function: adjust_pointer<__cxxabiv1::<unnamed>::vtable_prefix>
executable: /usr/bin/ufraw
kernel: 2.6.35.11-83.fc14.x86_64
package: ufraw-0.18-1.fc14
rating: 4
reason: Process /usr/bin/ufraw was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Laughlin)
time: 1299614303
uid: 500

How to reproduce
-----
1. Open picture
2. add Darkpicture (?) Dunkelbild in german translation
3.

Comment 1 Andre Dierker 2011-03-08 19:59:27 UTC
Created attachment 483004 [details]
File: backtrace

Comment 2 Nils Philippsen 2011-03-15 15:20:18 UTC
I've reproduced this here, the issue is that in the function ufraw_convert_prepare_transform(), the ufobject member isn't initialized, so this cast fails:

UFGroup &Image = *uf->conf->ufobject;

I've come up with a patch which initializes this first which I will submit upstream and apply here. Thanks for reporting this!

Comment 4 Fedora Update System 2011-03-21 10:52:26 UTC
ufraw-0.18-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/ufraw-0.18-2.fc13

Comment 5 Fedora Update System 2011-03-21 10:52:30 UTC
ufraw-0.18-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ufraw-0.18-2.fc14

Comment 6 Fedora Update System 2011-03-22 10:12:18 UTC
poppler-0.16.3-1.fc15,libreoffice-3.3.1.2-11.fc15,ufraw-0.18-2.fc15,vtk-5.6.1-5.fc15,apvlv-0.0.9.8-4.fc15,calibre-0.7.44-3.fc15,ease-0.4-4.fc15,epdfview-0.1.7-13.20100621svn.fc15,evince-2.91.92-2.fc15,gambas2-2.22.0-6.fc15,gdcm-2.0.16-17.fc15,gimp-2.6.11-8.fc15,gloobus-preview-0.4.1-13.fc15,gnome-commander-1.2.8.10-3.fc15,gummi-0.5.5-4.fc15,inkscape-0.48.1-4.fc15,koffice-2.3.3-2.fc15,libextractor-0.6.2-1508.fc15,OpenSceneGraph-2.8.3-10.fc15,pdf2djvu-0.7.4-7.fc15,pdf2svg-0.2.1-11.fc15,pypoppler-0.12.1-11.fc15,referencer-1.1.6-15.fc15,rubygem-poppler-0.90.8-2.fc15,texlive-2007-62.fc15,texmaker-2.1-5.fc15,texmakerx-2.0-6.fc15,tracker-0.10.3-2.fc15,vifir-0.8-1.fc15,xournal-0.4.5-12.fc15,zathura-0.0.8.2-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/poppler-0.16.3-1.fc15,libreoffice-3.3.1.2-11.fc15,ufraw-0.18-2.fc15,vtk-5.6.1-5.fc15,apvlv-0.0.9.8-4.fc15,calibre-0.7.44-3.fc15,ease-0.4-4.fc15,epdfview-0.1.7-13.20100621svn.fc15,evince-2.91.92-2.fc15,gambas2-2.22.0-6.fc15,gdcm-2.0.16-17.fc15,gimp-2.6.11-8.fc15,gloobus-preview-0.4.1-13.fc15,gnome-commander-1.2.8.10-3.fc15,gummi-0.5.5-4.fc15,inkscape-0.48.1-4.fc15,koffice-2.3.3-2.fc15,libextractor-0.6.2-1508.fc15,OpenSceneGraph-2.8.3-10.fc15,pdf2djvu-0.7.4-7.fc15,pdf2svg-0.2.1-11.fc15,pypoppler-0.12.1-11.fc15,referencer-1.1.6-15.fc15,rubygem-poppler-0.90.8-2.fc15,texlive-2007-62.fc15,texmaker-2.1-5.fc15,texmakerx-2.0-6.fc15,tracker-0.10.3-2.fc15,vifir-0.8-1.fc15,xournal-0.4.5-12.fc15,zathura-0.0.8.2-5.fc15

Comment 7 Fedora Update System 2011-03-29 03:57:32 UTC
poppler-0.16.3-1.fc15, ufraw-0.18-2.fc15, vtk-5.6.1-5.fc15, apvlv-0.0.9.8-4.fc15, calibre-0.7.44-3.fc15, ease-0.4-4.fc15, epdfview-0.1.7-13.20100621svn.fc15, gdcm-2.0.16-17.fc15, gimp-2.6.11-8.fc15, gloobus-preview-0.4.1-13.fc15, gnome-commander-1.2.8.10-3.fc15, gummi-0.5.5-4.fc15, inkscape-0.48.1-4.fc15, koffice-2.3.3-2.fc15, libextractor-0.6.2-1508.fc15, OpenSceneGraph-2.8.3-10.fc15, pdf2djvu-0.7.4-7.fc15, pdf2svg-0.2.1-11.fc15, pypoppler-0.12.1-11.fc15, referencer-1.1.6-15.fc15, rubygem-poppler-0.90.8-2.fc15, texlive-2007-62.fc15, texmaker-2.1-5.fc15, vifir-0.8-1.fc15, xournal-0.4.5-12.fc15, zathura-0.0.8.2-5.fc15, gambas2-2.22.0-7.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-04-05 05:18:02 UTC
ufraw-0.18-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-04-05 05:18:42 UTC
ufraw-0.18-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.